Ignore:
Timestamp:
12/03/2019 07:57:44 AM (2 years ago)
Author:
Ken Moffat <ken@…>
Branches:
10.0, 10.1, 11.0, 9.1, ken/refactor-virt, lazarus, qt5new, trunk, upgradedb, xry111/git-date, xry111/git-date-for-trunk, xry111/git-date-test
Children:
ec42249
Parents:
8f036b74
Message:

Allow libreoffice to build by not using system ICU.

git-svn-id: svn://svn.linuxfromscratch.org/BLFS/trunk/BOOK@22414 af4574ff-66df-0310-9fd7-8a98e5e911e0

File:
1 edited

Legend:

Unmodified
Added
Removed
  • xsoft/office/libreoffice.xml

    r8f036b74 rc2af02b  
    197197      <xref linkend="gtk2"/> (see <quote>Command Explanations</quote>),
    198198      <xref linkend="harfbuzz"/>,
    199       <xref linkend="icu"/>,
     199 <!-- <xref linkend="icu"/>,-->
    200200      <xref linkend="libatomic_ops"/>,
    201201      <xref linkend="lcms2"/>,
     
    370370     that) which allows removal of  - -with-system-cairo but did NOT cause
    371371     system epoxy to be automatically used, as configure claimed -->
     372<!--
     373     libfreehand-0.1.2 is downloaded (from freedesktop.org) but moving to
     374     ICU-65.1 has highlighted a missing semicolon in one of the files,
     375     causing libreoffice to fail to build : command moved to an option with
     376     explanation until a newer version of libfreehand is pulled in.
     377             \-\-with-system-icu           \
     378-->
    372379./autogen.sh --prefix=$LO_PREFIX         \
    373380             --sysconfdir=/etc           \
     
    394401             --with-system-graphite      \
    395402             --with-system-harfbuzz      \
    396              --with-system-icu           \
    397403             --with-system-jpeg          \
    398404             --with-system-lcms2         \
     
    711717      address books through Evolution Data Server. Note that Evolution Data
    712718      Server must be installed for this feature to function.
     719    </para>
     720
     721    <para>
     722      <option>--with-system-icu</option>: This command would use the system
     723      version of <xref linkend="icu"/> which is normally considered to be a good
     724      thing to do. However, one of the very minor packages pulled in by
     725      <application>LibreOffice</application>, libfreehand-0.1.2, does not compile
     726      with ICU-65.1 because of a missing semi-colon at the end of one line in one
     727      of its files. Do not use this option unless you have separately installed a
     728      patched or newer version of
     729      <ulink url="https://wiki.documentfoundation.org/DLP/Libraries/libfreehand">libfreehand</ulink>.
    713730    </para>
    714731
Note: See TracChangeset for help on using the changeset viewer.